//#autoload
//#name = Beacon Mine
//#version = 1.0
//#status = Done From Work
//#date = July 19, 2001
//#description = On key down it drops a beacon, on key up it turns it to marker mode and drops a mine.
//#author = Sgarissta
//#email = sgarissta@mmcable.com
//#include = support/loadout.cs

function BeaconMineStart(%var)
{
	if(loadout.getBeaconAmmo() > 0 && loadout.getMineAmmo() > 0 && %var)
	{
		use("Beacon");
	}
	if(!%var)
	{
		use("Beacon");
		use("Mine");
	}
}

package BeaconMine
{
	function OptionsDlg::onWake(%this)
	{
		if(!$BeaconMineInstalled)
		{
			$RemapName[$RemapCount]="Beacon Mine";
			$RemapCmd[$RemapCount]="BeaconMineStart";
			$RemapCount++;
			$BeaconMineInstalled = true;
		}
		parent::onWake(%this);
	}
};
activatepackage(BeaconMine);
		

	
